/*================================================================================================*
 * Команды по протоколу TCP/IP (lip sockets)
 *================================================================================================*/

#ifndef TCPSERVER_CMD_H_
#define TCPSERVER_CMD_H_

#include "global.h"

/*================================================================================================*/
/* Настройки сервера */
#define TCPSERVER_CMD_PORT              11113
#define TCPSERVER_CMD_NCONN             3       /* количество одновременных командных соединений */
#define TCPSERVER_CMD_INIT_TIMEOUT_MS   5000    /* таймаут на подачу команды INIT */

/* Настройка буферов */
#define TCPSERVER_CMD_TX_BUF_LEN        (16 * 1024)
#define TCPSERVER_CMD_RX_BUF_LEN        (16 * 1024)

#define TCPSERVER_CMD_BUF_DECL          __attribute__ ((section(".sdram")))
/*================================================================================================*/

/*================================================================================================*/
/*------------------------------------------------------------------------------------------------*/
/* Инициализация */
void tcpserver_cmd_init(void);
/*------------------------------------------------------------------------------------------------*/
/* Фоновая функция */
void tcpserver_cmd_worker(void);
/*------------------------------------------------------------------------------------------------*/
/* Закрытие */
void tcpserver_cmd_hangup(void);
/*------------------------------------------------------------------------------------------------*/
/*================================================================================================*/
#endif /* TCPSERVER_CMD_H_ */
